Package org.tmatesoft.svn.core.wc

# Class DefaultSVNCommitHandler

java.lang.Object
org.tmatesoft.svn.core.wc.DefaultSVNCommitHandler

All Implemented Interfaces:
  `ISVNCommitHandler`

public class DefaultSVNCommitHandler extends Object implements ISVNCommitHandler
This is a default implementation for ISVNCommitHandler.

Since methods of those SVN*Client classes that can initiate a commit operation use ISVNCommitHandler to process user's commit log messages there should be a default implementation. If no special implementation of ISVNCommitHandler is provided into those classes then DefaultSVNCommitHandler is the one that is used by default.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  - `ISVNCommitHandler`

## Constructor Summary

Constructors
Constructor
Description
`DefaultSVNCommitHandler()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCommitMessage(String message, SVNCommitItem[] commitables)`
Returns the `message` itself without any modifications to it or `""` if the `message` is null.
`SVNProperties`
`getRevisionProperties(String message, SVNCommitItem[] commitables, SVNProperties revisionProperties)`
Returns `revisionProperties` as is if it's not null, or an empty `SVNProperties` object if `revisionProperties` is null.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultSVNCommitHandler

public DefaultSVNCommitHandler()

## Method Details

### getCommitMessage

public String getCommitMessage(String message, SVNCommitItem[] commitables) throws SVNException
Returns the `message` itself without any modifications to it or `""` if the `message` is null.

In other words this method does nothing except of replacing null for `""`.

Specified by:
  `getCommitMessage` in interface `ISVNCommitHandler`
Parameters:
  `message` - a user's initial commit log message
  `commitables` - an array of SVNCommitItem objects that represent Working Copy items which have local modifications and so need to be committed to the repository
Returns:
  the user's initial commit log message or `""` if the message is null
Throws:
  `SVNException`

### getRevisionProperties

public SVNProperties getRevisionProperties(String message, SVNCommitItem[] commitables, SVNProperties revisionProperties) throws SVNException
Returns `revisionProperties` as is if it's not null, or an empty `SVNProperties` object if `revisionProperties` is null.

Specified by:
  `getRevisionProperties` in interface `ISVNCommitHandler`
Parameters:
  `message` - log message for commit
  `commitables` - paths to commit
  `revisionProperties` - initial revision properties to set
Returns:
  `revisionProperties` itself or an empty `SVNProperties` object if `revisionProperties` is null
Throws:
  `SVNException`